Subject: RE: (usr-tc) configuring a second HiPer ARC

From: Vance McIndoe <[email-masked]>
Date: Thu, 25 Jan 2001 05:42:37 +0000

You'll get into all sorts of strife when both ARC's become available again -
Lot's of address clashes I'd say. You'd have to manually clear all the calls
that are using the "other" ip address pool.  These could (would) be spread
across all modem cards.

Doesn't 5.1 HARC code have pool-priorities?

--
Vance McIndoe
InterConnect Ltd

Phone: +64-4-494 1144   Fax: +64-4-494 1140   Mobile: +64-25-2477 608
Street: Level 2, Exchange Place, 5-7 Willeston Street,
Wellington, New Zealand.
Postal: PO Box 5527, Lambton Quay, Wellington, NZ.
mailto:[email-masked]
http://www.interconnect.co.nz

> -----Original Message-----
> From:	Jeff Mcadams [SMTP:[email-masked]]
> Sent:	Thursday, January 25, 2001 1:54 PM
> To:	[email-masked]
> Subject:	Re: (usr-tc) configuring a second HiPer ARC
> 
> Also sprach Antonio Querubin
> >I'm installing a second HiPer ARC into a Total Control chassis and am
> >having some difficulty integrating it into the system for automatic
> >failover.  I'm running into several issues.
> 
> >One problem I've run into is the IP address pools that the HARCs use.
> >Is there a way for both HiPer ARCs to share the same IP address pool
> >without stepping on each other?  Or if one fails, can the other one
> >automatically acquire the address pool of the failed HARC?
> 
> Sort of.  The best solution I've found is to set the Arcs to not pick IP
> addresses out of their pools by round robin and let them pick first
> available.  Default is round robin.
> 
> disable ip address_pool_round_robin
> 
> Then you can setup two seperate pools on the Arcs for each to serve half
> the modems.  Once those are set up, then for each Arc, you configure the
> *other* Arcs address pool in it.  So, Arc A has address pool 1 then
> address pool 2 list, then Arc B has address pool 2 then address pool 1
> listed.  Follow?  Since the pools are the same size, each Arc, in normal
> operation will only use the first pool, if the second Arc fails, then,
> when dynamic slot assignment rebalancing assigns the modems to the still
> good Arc, it will have the other pool of addresses, that the failed Arc
> was previously using, available to assign to the newly picked up modems.
> 
> >Is there a way for the second HARC to be assigned the first HARC's IP
> >address as a hot standby IP address?
> 
> I'm not aware of any way to do this, but with dynamic routing protocols,
> the benefit of this is limited.
> 
> >If neither HARC is configured as the owner of a modem card, how does
> >the NMC determine (or is configured to specify) which HARC does route
> >for a particular modem card?
> 
> If you have dynamic slot assignment and dynamic slot assignment idle
> rebalancing enabled, then, given enough time, the modem cards will
> alternate between the Arcs for ownership.
> -- 
> Jeff McAdams                            Email: [email-masked]
> Head Network Administrator              Voice: (502) 966-3848
> IgLou Internet Services                        (800) 436-4456
> 
> -
>  To unsubscribe to usr-tc, send an email to "[email-masked]"
>  with "unsubscribe usr-tc" in the body of the message.
>  For information on digests or retrieving files and old messages send
>  "help" to the same address.  Do not use quotes in your message.

######################################################################
Attention: 
This e-mail message is privileged and confidential. If you are not the 
intended recipient please delete the message and notify the sender. 
Any views or opinions presented are solely those of the author.

######################################################################

-
 To unsubscribe to usr-tc, send an email to "[email-masked]"
 with "unsubscribe usr-tc" in the body of the message.
 For information on digests or retrieving files and old messages send
 "help" to the same address.  Do not use quotes in your message.